package com.ffii.fpsms.modules.master.service

import com.ffii.core.support.AbstractBaseEntityService
import com.ffii.fpsms.modules.master.entity.QcCategory
import com.ffii.fpsms.modules.master.entity.QcCategoryRepository
import org.springframework.stereotype.Service

@Service
open class QcCategoryService(
    private val qcCategoryRepository: QcCategoryRepository
) {
    open fun allQcCategories(): List<QcCategory> {
        return qcCategoryRepository.findAllByDeletedIsFalse()
    }
}